const Log = require('../index.js')

let log = new Log({
  name: 'Sample-Application',
  hostname: 'test-server',
  loglevel: 'INFO'
})

log.info('This is an Information in default formatting')

log = new Log({
  name: 'Sample-Application',
  hostname: 'test-server',
  loglevel: 'INFO',
  format: '{message}'
})
console.log()
console.log('---- Message Only ----')
log.info('Only the message')

log = new Log({
  name: 'Sample-Application',
  hostname: 'test-server',
  loglevel: 'INFO',
  format: '{"timestamp":"{timestamp}", "level":"{loglevel}", "message":"{message}"}'
})
console.log()
console.log('---- As JSON ----')
log.info('JSON Output')
